(function ($) {
  'use strict';

  function updateOption(val, status) {
    var postData = {
      action: 'greenweb_option_ajax',
      option: val,
    };

    //Ajax post option
    $.ajax({
      type: 'POST',
      data: postData,
      dataType: 'json',
      url: '/wp-admin/admin-ajax.php',
      success: function () {
        checkStatus(status);
      },
    }).fail(function () {
      checkStatus(400);
    });
  }

  function checkStatus(status) {
    if (status === 200) {
      $('#gwMsg').css({ color: 'green' }).html('Prefix is OK.');
    } else {
      $('#gwMsg').css({ color: 'red' }).html('The prefix are not working.');
    }
  }

  function checkStatusStart(nothing, status) {
    if (status !== 200) {
      $('#gwMsg')
        .css({ color: 'red' })
        .html('Your prefix are not working. Contact support for help.');
    }
  }

  function greenweb_check_Prefix(func, val) {
    fetch(optiUrl + val + latestEnd).then((response) => {
      func(val, response.status);
    });
  }

  $(document).ready(function () {
    if (pref) greenweb_check_Prefix(checkStatusStart, pref);
    $('#gwForm').submit(function (e) {
      e.preventDefault();
      const val = e.target[0].value.trim();

      if (!/^[A-Za-z0-9]*$/.test(val)) {
        checkStatus(400);
        return;
      }
      greenweb_check_Prefix(updateOption, val);
    });
  });
})(jQuery);
