<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       seenthis.co
 * @since      1.1.0
 *
 * @package    Greenweb
 * @subpackage Greenweb/admin/partials
 */
global $greenweb_globals;

?>

<script>
const pluginUrl = '<?php echo esc_url_raw($greenweb_globals->pluginUrl);?>';
const pref = '<?php echo wp_kses_post($greenweb_globals->prefix);?>';
const optiUrl = '<?php echo esc_url_raw(greenweb_globals\optiUrl);?>';
const latestEnd = '<?php echo wp_kses_post(greenweb_globals\latest);?>';
</script>

<html>
    <body>
        <h1 id='gwTitle' ><?php echo wp_kses_post(greenweb_globals\pluginName)?></h1>
        <div id='gwDiv'> 
            <form id='gwForm'>
                <label style='font-size: 15px; font-weight:bold;'>Prefix: </label>
                <input id='gwInput' value='<?php echo esc_textarea($greenweb_globals->prefix) ?>' type=text />    
                <input type='submit' value='Submit' />
            </form>
            <small id='gwMsg' style='margin-left: 3.4rem'></small>
        </div>
    </body>
</html>